# Queries

- [assets](https://developer.firmhouse.com/graphql-api/api-reference/queries/assets.md): List of assets.
- [churnRequests](https://developer.firmhouse.com/graphql-api/api-reference/queries/churn-requests.md): List of churn requests for cancellation reporting.
- [currentCart](https://developer.firmhouse.com/graphql-api/api-reference/queries/current-cart.md): Returns current cart calculations object identified by X-Subscription-Token.
- [discountCodes](https://developer.firmhouse.com/graphql-api/api-reference/queries/discount-codes.md): List of discount codes.
- [getCollectionCase](https://developer.firmhouse.com/graphql-api/api-reference/queries/get-collection-case.md): Fetch a collection case by id.
- [getCurrentProject](https://developer.firmhouse.com/graphql-api/api-reference/queries/get-current-project.md): Returns the project identified by current access token.
- [getDiscountCode](https://developer.firmhouse.com/graphql-api/api-reference/queries/get-discount-code.md): Get discount code details. Fetch by code is case-insensitive.
- [getInvoice](https://developer.firmhouse.com/graphql-api/api-reference/queries/get-invoice.md): Fetch an invoice by token or id.
- [getOrder](https://developer.firmhouse.com/graphql-api/api-reference/queries/get-order.md): Fetch an order
- [getOrderBy](https://developer.firmhouse.com/graphql-api/api-reference/queries/get-order-by.md): Fetch an order
- [getOrderCalculations](https://developer.firmhouse.com/graphql-api/api-reference/queries/get-order-calculations.md): Deprecated: Will be removed. Calculate order prices
- [getOrders](https://developer.firmhouse.com/graphql-api/api-reference/queries/get-orders.md): Deprecated: Use \`orders\` connection instead. List of orders
- [getPayment](https://developer.firmhouse.com/graphql-api/api-reference/queries/get-payment.md): Fetch a payment by id or token.
- [getRefund](https://developer.firmhouse.com/graphql-api/api-reference/queries/get-refund.md): Fetch a refund by id or payment id.
- [getServiceChannelBy](https://developer.firmhouse.com/graphql-api/api-reference/queries/get-service-channel-by.md): Fetch a service channel by id or slug.
- [getSubscription](https://developer.firmhouse.com/graphql-api/api-reference/queries/get-subscription.md): Get subscription details.
- [getSubscriptionAccount](https://developer.firmhouse.com/graphql-api/api-reference/queries/get-subscription-account.md): Fetch a subscription account by id.
- [getSubscriptionBySelfServiceCenterLoginToken](https://developer.firmhouse.com/graphql-api/api-reference/queries/get-subscription-by-self-service-center-login-token.md): Fetch subscription by self service center login token.
- [getSubscriptions](https://developer.firmhouse.com/graphql-api/api-reference/queries/get-subscriptions.md): Deprecated: Use the \`subscriptions\` connection instead. Returns paginated list of all subscriptions
- [invoices](https://developer.firmhouse.com/graphql-api/api-reference/queries/invoices.md): List of invoices.
- [orderedProducts](https://developer.firmhouse.com/graphql-api/api-reference/queries/ordered-products.md): List of ordered products
- [orders](https://developer.firmhouse.com/graphql-api/api-reference/queries/orders.md): List of orders
- [outstandingInvoices](https://developer.firmhouse.com/graphql-api/api-reference/queries/outstanding-invoices.md): List of outstanding invoices. An invoice is outstanding when payment has not (yet) come in and when the invoice has not been credited.
- [payments](https://developer.firmhouse.com/graphql-api/api-reference/queries/payments.md): List of payments.
- [plans](https://developer.firmhouse.com/graphql-api/api-reference/queries/plans.md): List of plans.
- [products](https://developer.firmhouse.com/graphql-api/api-reference/queries/products.md): List of products.
- [returnOrders](https://developer.firmhouse.com/graphql-api/api-reference/queries/return-orders.md): List of return orders.
- [selfServiceCenterTemplate](https://developer.firmhouse.com/graphql-api/api-reference/queries/self-service-center-template.md): Fetch a Self Service Center V2 template by template file name.
- [selfServiceCenterTemplates](https://developer.firmhouse.com/graphql-api/api-reference/queries/self-service-center-templates.md): List of Self Service Center V2 templates for the current project.
- [subscriptionAccounts](https://developer.firmhouse.com/graphql-api/api-reference/queries/subscription-accounts.md): List of subscription accounts.
- [subscriptions](https://developer.firmhouse.com/graphql-api/api-reference/queries/subscriptions.md): List of subscriptions


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/queries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
